package models

import "time"

// Hostname Model
// @Description Model of the Hostname as it
// @Description is represented in the database
type Hostname struct {
	ID         int                    `json:"id"`         // Internal ID of the Hostname within the database
	Category   string                 `json:"category"`   // Category / Rule that was used when generating the hostname
	Hostname   string                 `json:"hostname"`   // Generated hostname
	Parameters map[string]interface{} `json:"parameters"` // Parameter object of rule specific attributes
	CreatedAt  time.Time              `json:"created_at"` // Creation Time of the entry
}
